// 湯気の生成
function make_steam(){
	$("#steam_box").empty();
	var steam = {
			random: {
				start: {},
				end: {}
			},
			window : {
				x: $(window).width(),
				y: $(window).height()
			},
			drawing_area : {
				top: Math.floor($(window).height()*0.2),
				bottom: Math.floor($(window).height()*0.8),
				left:Math.floor($(window).width()*0.2),
				right:Math.floor($(window).width()*0.8),
			}
		}
		steam.drawing_area.x = (steam.drawing_area.right - steam.drawing_area.left)
	// 生成する画像の制御（画面が小さい場合はそれほど多くの画像が必要ないため）
	var img_num = 10;
	for(var i = 1; i <= img_num; i++){
		// 画像初期設定
		
		steam.random = {
			x : Math.floor(
					Math.random() * ( 
						steam.drawing_area.right - steam.drawing_area.left 
					)) + steam.drawing_area.left - (steam.window.x / 2),
			y : Math.floor(
					Math.random() * (
						steam.drawing_area.bottom - steam.drawing_area.top 
					)) + steam.drawing_area.top - (steam.window.x / 2)
		}
		steam.random.img = 'img/steam_'+Math.floor((Math.random() * ( 4 - 1 ) + 1))+'.png';
		steam.random.rotate = Math.floor(Math.random() * 360)+'deg';
		var min_vh = 100;
		var max_vh = 400;
		var amimation_time = 5000;
		$('<img src="'+steam.random.img+'" />').css({
			opacity:0, 
			width: steam.window.x+"px",
			top:steam.random.y+"px",
			left: steam.random.x+'px'
		}).appendTo("#steam_box");
	}
}

function make_scrollify(){
	$(".full-window").each(function(i) {
		var this_height = $(window).height() - $("#g_navi").height();
		$(this).height(this_height);
	});
	$("#don_10").height($("#don_10").height());
	var first_child_height = $(window).height() - $("#g_navi").height() - $("header").height();
	$("#contents > .full-window:first-child").height(first_child_height);
	$("#footer").height($("#footer").height());
	
	$.scrollify({
		section:"#contents .full-window",
		setHeights:false,
		interstitialSection:"#don_10,footer",
		updateHash: false,
		before:function(i,box){
			$('#floating_box > div.active').removeClass('active');
			var target_id = box[i].data("target_id");
			if(target_id){
				target_id = target_id.split(',');
				for(var i in target_id){
					$("#"+target_id[i]).addClass('active');
				}
			}
		}
	});
}


$(function(){
	make_steam();
	make_scrollify();


	// リサイズした場合の画面のリフレッシュ
	var timer = false;
	var prewidth = $(window).width();
	$(window).resize(function() {
		if (timer !== false) {
			clearTimeout(timer);
		}
		timer = setTimeout(function() {
			var nowWidth = $(window).width();
			if(prewidth !== nowWidth){
				make_steam();
				make_scrollify();
			}
			prewidth = nowWidth;
		}, 200);
	});

});
